/*
ATLSWC - AddTLSSection With Code
Copyright (C) 2012  George Nicolaou nicolaou.george{at}gmail{dot}com

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _INCLUDE_H_
#define _INCLUDE_H_


#define _WIN32_WINNT 0x0500
#include <stdio.h>

#define DEBUG 2

#define dprintf( level, fmt, ... ) \
{ \
	if( level <= DEBUG ) { \
	printf( "%s:%u " fmt "\n", __FUNCTION__, __LINE__, ##__VA_ARGS__ ); \
	} \
}

#define error_print( fmt, ret, ... ) { \
	printf( fmt, ##__VA_ARGS__ ); \
	return ret; \
}

#define print( fmt, ... ) { \
	printf( fmt, ##__VA_ARGS__ ); \
}

#endif //_INCLUDE_H_
