/*
ATLSWC - AddTLSSection With Code
Copyright (C) 2012  George Nicolaou nicolaou.george{at}gmail{dot}com

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _PE_STUFF_H_
#define _PE_STUFF_H_
#include "memory.h"

PIMAGE_SECTION_HEADER AddNewPESection( 
	PFILE_IN_MEMORY lpFile, 
	char * lpszSectionName, 
	int nSectionSize,
	DWORD dwCharacteristics );

void * AddTLSToPE( 
	PFILE_IN_MEMORY pFile, 
	int iSizeRequested, 
	unsigned char * lpucCode, 
	int iSizeOfCode );

PIMAGE_NT_HEADERS GetNtHeaders( PFILE_IN_MEMORY pFile );
void * VirtualAddressToFilePtrReal( 
	void * lpAddress, 
	PFILE_IN_MEMORY pFile );

void * GetEntryPointAddress( PFILE_IN_MEMORY pFile );

#endif //_PE_STUFF_H_